Bug 1566784 - SELinux is preventing abrt-action-not from 'write' accesses on the directory /usr/lib64/python3.6/importlib/__pycache__.
Summary: SELinux is preventing abrt-action-not from 'write' accesses on the directory ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:11c802f9332190e39be328b7fe8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 01:39 UTC by Jason D. Clinton
Modified: 2018-05-05 22:27 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-283.34.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-05 22:27:29 UTC


Attachments (Terms of Use)

Description Jason D. Clinton 2018-04-13 01:39:09 UTC
Description of problem:
Installing updates
SELinux is preventing abrt-action-not from 'write' accesses on the directory /usr/lib64/python3.6/importlib/__pycache__.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that abrt-action-not should be allowed write access on the __pycache__ directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'abrt-action-not' --raw | audit2allow -M my-abrtactionnot
# semodule -X 300 -i my-abrtactionnot.pp

Additional Information:
Source Context                system_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib64/python3.6/importlib/__pycache__ [ dir ]
Source                        abrt-action-not
Source Path                   abrt-action-not
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           python3-libs-3.6.4-9.fc27.x86_64
                              python3-libs-3.6.5-1.fc27.x86_64
Policy RPM                    selinux-policy-3.13.1-283.30.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.15.14-300.fc27.x86_64 #1 SMP Thu
                              Mar 29 16:13:44 UTC 2018 x86_64 x86_64
Alert Count                   35
First Seen                    2018-04-12 19:38:02 MDT
Last Seen                     2018-04-12 19:38:02 MDT
Local ID                      5215c46e-e0e2-4eca-b25b-d18723c62b0c

Raw Audit Messages
type=AVC msg=audit(1523583482.532:289): avc:  denied  { write } for  pid=2782 comm="abrt-action-not" name="__pycache__" dev="dm-1" ino=1453231 scontext=system_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=system_u:object_r:lib_t:s0 tclass=dir permissive=0


Hash: abrt-action-not,abrt_t,lib_t,dir,write

Version-Release number of selected component:
selinux-policy-3.13.1-283.30.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.15.14-300.fc27.x86_64
type:           libreport

Potential duplicate: bug 1477428

Comment 1 Fedora Update System 2018-04-29 13:19:29 UTC
selinux-policy-3.13.1-283.34.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa26da1777

Comment 2 Fedora Update System 2018-04-30 14:17:39 UTC
selinux-policy-3.13.1-283.34.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa26da1777

Comment 3 Fedora Update System 2018-05-05 22:27:29 UTC
selinux-policy-3.13.1-283.34.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.